QGIS Application - Feature request #12753
Keep topology when simplifying polygons
2015-05-15 05:52 AM - shenriod -

Status: Closed

Priority: Normal

Assignee:

Category: Simplification

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 20852
Description

When using the "simplify" tool on a polygon layer, the topology is destroyed and many gaps appear between polygons that were
contiguous in the original layer.

Allowing to keep the topology would be an amazing improvement for this tool. A bit like what ArcGIS offers with the "RESOLVE
ERRORS" flag: http://resources.arcgis.com/en/help/main/10.2/index.html#/Simplify_Polygon/007000000011000000/

I'm not sure however whether it is a realistic request or whether it would require huge resources?

Thanks and cheers

Stéphane

History

#1 - 2015-05-15 07:59 AM - shenriod -
NB: | mean when using the "Simplify" tool in the Vector menu (to simplify a layer), not the "Simplify" tool in the Advanced Editing toolbar (to simplify only a

few objects)

#2 - 2015-05-21 01:01 AM - Giovanni Manghi
- Resolution set to wontfix

- Status changed from Open to Closed

Simplification/generalization maintain topology for adjacent polygons is a complex operation that in QGIS you can do very efficiently using the v.generalize
tool (from GRASS) inside the QGIS Processing toolbox.
